package com.shcd.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 人工系统违章数据
 * @TableName SHIP_ILLEGAL_ARTIFICAL
 */
@TableName(value ="GHJG_CHANNEL.SHIP_ILLEGAL_ARTIFICIAL")
@Data
public class ShipIllegalArtificial implements Serializable {
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private Date createTime;

    /**
     * 日期
     */
    @TableField("DT_DATE")
    private Date dtDate;

    /**
     * 
     */
    @TableField("INDEXT")
    private Long indext;

    @TableField(exist = false)
    private Long index;
    /**
     * 
     */
    @TableField("PK_ID")
    private String pkId;

    /**
     * 事件描述
     */
    @TableField("ST_DESCRIPTION")
    private String stDescription;

    /**
     * 受损部位
     */
    @TableField("ST_LOSS_POSITION")
    private String stLossPosition;

    /**
     * 备注
     */
    @TableField("ST_NOTES")
    private String stNotes;

    /**
     * 船舶名称
     */
    @TableField("ST_SHIP_NAME")
    private String stShipName;

    /**
     * 处理情况
     */
    @TableField("ST_SITUATION")
    private String stSituation;

    /**
     * 堵航情况
     */@TableField("ST_STOP_TIME")
    private Date stStopTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}