package com.shcd.entity;


import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 船闸状态实时数据
 * @TableName SHIP_LOCK_DOOR_STATUS_REALTIME
 */
@TableName(value ="GHJG_CHANNEL.SHIP_LOCK_DOOR_STATUS_REALTIME")
@Data
public class ShipLockDoorStatusRealtime implements Serializable {
    /**
     * 日期
     */
    @TableField("DATE_TIME")
    private Date dates;

    /**
     * 更新主键
     */
    @TableId("PK_ID")
    private String pkId;

    @TableField(exist = false)
    private Date date;
    /**
     * 
     */
    @TableField("CREATE_TIME")
    private Date createTime;

    /**
     * 
     */
    @TableField("IS_DELETE")
    private BigDecimal isDelete;

    /**
     * 状态
     */
    @TableField("DOOR_STATUS")
    private String doorStatus;

    /**
     * 
     */
    @TableField("UPDATE_TIME")
    private Date updateTime;

    /**
     * 时间
     */
    @TableField("TIMES")
    private String time;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}