package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 船闸运行相关数据
 * @TableName SHIP_RUN_INFO
 */
@TableName(value ="GHJG_CHANNEL.SHIP_RUN_INFO")
@Data
public class ShipRunInfo implements Serializable {
    /**
     * 
     */
    @TableId("PK_ID")
    private String pkId;

    /**
     * 
     */
    @TableField("CONTENT")
    private String content;

    /**
     * 
     */
    @TableField("CREATE_TIME")
    private Date createTime;

    /**
     * 
     */
    @TableField("DATE_TIME")
    private Date dateTime;
    @TableField(exist = false)
    private Date date;
    /**
     * 
     */
    @TableField("ELECTRIC_FIRST")
    private BigDecimal electricFirst;

    /**
     * 
     */
    @TableField("ELECTRIC_SECOND")
    private BigDecimal electricSecond;

    /**
     * 
     */
    @TableField("INSIDE_I")
    private BigDecimal insideI;

    /**
     * 
     */
    @TableField("INSIDE_O")
    private BigDecimal insideO;

    /**
     * 
     */
    @TableField("IS_DELETE")
    private Long isDelete;

    /**
     * 
     */
    @TableField("LOCK_CLOSE")
    private Long lockClose;

    /**
     * 
     */
    @TableField("LOCK_OPEN")
    private Long lockOpen;

    /**
     * 
     */
    @TableField("LOCK_OPEN_DEGREE")
    private String lockOpenDegree;

    /**
     * 
     */
    @TableField("OUTSIDE_I")
    private BigDecimal outsideI;

    /**
     * 
     */
    @TableField("OUTSIDE_O")
    private BigDecimal outsideO;

    /**
     * 
     */
    @TableField("PUMP_FLOW")
    private BigDecimal pumpFlow;

    /**
     * 
     */
    @TableField("PUMP_PRESSURE")
    private BigDecimal pumpPressure;

    /**
     * 
     */
    @TableField("PUMP_TEMPERATURE")
    private BigDecimal pumpTemperature;

    /**
     * 
     */
    @TableField("TIME")
    private String time;

    /**
     * 
     */
    @TableField("UPDATE_TIME")
    private Date updateTime;

    /**
     * 
     */
    @TableField("VALVE_CLOSE")
    private Long valveClose;

    /**
     * 
     */
    @TableField("VALVE_OPEN")
    private Long valveOpen;

    /**
     * 
     */
    @TableField("VALVE_OPEN_DEGREE")
    private BigDecimal valveOpenDegree;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}