package com.shcd.scheduling;


import cn.hutool.http.HttpResponse;
import cn.hutool.http.HttpUtil;
import com.alibaba.fastjson.JSONObject;
import com.shcd.entity.ShipLockDoorStatusRealtime;
import com.shcd.service.ShipLockDoorStatusRealtimeService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;

@Component
public class DoorStatusSchedule {
    @Autowired
    private ShipLockDoorStatusRealtimeService shipLockDoorStatusRealtimeService;
    @XxlJob("DoorStatus")
    //@Scheduled(cron = "* * * * * ?")
    public ReturnT<String> DoorStatus(String param){
        return shipLockDoorStatusRealtimeService.saveDoorStatus();
    }
}
