package com.shcd.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 
 * @TableName SHIP_ILLEGAL_AUTO
 */
@TableName(value ="GHJG_CHANNEL.SHIP_ILLEGAL_AUTO")
@Data
public class ShipIllegalAuto implements Serializable {
    /**
     * 添加时间
     */
    @TableField("ADD_TIME")
    private Date addTimeString;

    /**
     * 进入时间
     */
    @TableField("APPEAR_TIME")
    private Date appearTimeStr;

    /**
     * 估计船长
     */
    @TableField("SHIP_LENGTH_PREDICT")
    private BigDecimal captain;

    /**
     * 船长
     */
    @TableField("SHIP_LENGTH")
    private BigDecimal cc;

    /**
     * 船宽
     */
    @TableField("SHIP_WIDTH")
    private BigDecimal ck;

    /**
     * 参考载重吨
     */
    @TableField("REFERENCE_LOAD")
    private BigDecimal ckzzd;

    /**
     * 设备ID
     */
    @TableField("CLIENT_ID")
    private String clientId;

    /**
     * 卡口ID
     */
    @TableField("CROSS_SECTION_ID")
    private String crossSectionId;

    /**
     * 卡口名称
     */
    @TableField("CROSS_SECTION_NAME")
    private String crossSectionName;

    /**
     * 航向，0未知，1下行，2上行
     */
    @TableField("DIRECTION")
    private Long direction;

    /**
     * 消失时间
     */
    @TableField("DISAPPEAR_TIME")
    private Date disappearTimeStr;

    /**
     * 高清图访问地址
     */
    @TableField("HD_PATH_URL")
    private String hdPathUrl;

    /**
     * 
     */
    @TableId("ID")
    private String id;

    /**
     * 
     */
    @TableField("INDEXT")
    private Long indext;

    @TableField(exist = false)
    private Long index;

    /**
     * 0空载，1重载
     */
    @TableField("IS_LOAD")
    private Long isLaden;

    /**
     * 0未穿，1已穿 ，2未检测到人
     */
    @TableField("LIFE_JACKET")
    private Long lifeJecket;

    /**
     * 
     */
    @TableField("MMSI")
    private String mmsi;

    /**
     * 九位码匹配船名
     */
    @TableField("MMSI_SHIP_NAME")
    private String mmsiShipName;

    /**
     * 
     */
    @TableField("MODIFY_TIME")
    private Date modifyTimeString;

    /**
     * 
     */
    @TableField("OBJ_ID")
    private String objid;

    /**
     * 0未超载，1已超载
     */
    @TableField("OVER_LOAD")
    private Long overLoad;

    /**
     * 录播回放路径
     */
    @TableField("PLAYBACK_PATH")
    private String playbackPath;

    /**
     * 问题描述
     */
    @TableField("PROBLEM_DESCRIPTION")
    private String problemDescription;

    /**
     * 船舶英文名称
     */
    @TableField("SHIP_EN")
    private String shipEn;

    /**
     * 船舶真是名称
     */
    @TableField("SHIP_REAL_NAME")
    private String shipRealName;

    /**
     * 
     */
    @TableField("SHIP_TYPE")
    private String shipType;

    /**
     * 智能识别名称
     */
    @TableField("SHIP_NAME")
    private String shipName;

    /**
     * 航速
     */
    @TableField("SPEED")
    private BigDecimal speed;

    /**
     * 航向 0 未知 1 下行 2 上行
     */
    @TableField("ST_DIRECTION")
    private String stDirection;

    /**
     * 缩略图访问地址
     */
    @TableField("THUMBNAIL_URL")
    private String thumbnailUrl;

    /**
     * 型深
     */
    @TableField("MOULDED_DEPTH")
    private BigDecimal xs;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}