package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName SHIP_LOCK_SHIP_STATUS
 */
@TableName(value ="GHJG_CHANNEL.SHIP_LOCK_SHIP_STATUS")
@Data
public class ShipLockShipStatus implements Serializable {
    /**
     * 
     */
    @TableId("ID")
    private String id;

    /**
     * 船只实际载货量
     */
    @TableField("ACTUAL_CARGO")
    private String actualCargo;

    /**
     * 船只名称
     */
    @TableField("BOAT_NAME")
    private String boatNumber;

    /**
     * 
     */
    @TableField("CREATE_TIME")
    private Date createTime;

    /**
     * 备注
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 船只目的地
     */
    @TableField("DESTINATION")
    private String destination;

    /**
     * 船只吃水深度
     */
    @TableField("DRAFT")
    private BigDecimal draft;

    /**
     * 用户取号时间
     */
    @TableField("GET_NO_TIME")
    private Date getNoTime;

    /**
     * 船只高度
     */
    @TableField("HEIGHT")
    private BigDecimal height;

    /**
     * 船只长度
     */
    @TableField("LENGTH")
    private BigDecimal length;

    /**
     * 船只载货类型
     */
    @TableField("LOADING")
    private String loading;

    /**
     * 
     */
    @TableField("MMSI")
    private String mmsi;

    /**
     * 0未消号 1已消号
     */
    @TableField("NUMBER_STATUS")
    private Long numberStatus;

    /**
     * 船只始发地
     */
    @TableField("ORIGIN")
    private String origin;

    /**
     * 船只水面以上高度
     */
    @TableField("OVER_WATER")
    private BigDecimal overWater;

    /**
     * 
     */
    @TableField("PASS_TIME")
    private Date passTime;

    /**
     * 用户手机
     */
    @TableField("PHONE")
    private String phone;

    /**
     * 预申报时间
     */
    @TableField("PRE_DECLARATION_TIME")
    private Date preDeclarationTime;

    /**
     * 预过闸时间
     */
    @TableField("PRE_PASS_TIME")
    private Date prePassTime;

    /**
     * 
     */
    @TableField("Q_NUMBER")
    private String qNumber;

    /**
     * 
     */
    @TableField("Q)NUMBER_SID")
    private String qNumberSid;

    /**
     * 船只状态
     */
    @TableField("SHIP_STATUS")
    private String shipStatus;

    /**
     * 船只类型
     */
    @TableField("SHIP_TYPE")
    private String shipType;

    /**
     * 船只通航方向(上行/下行)
     */
    @TableField("SSIDE")
    private String sside;

    /**
     * 
     */
    @TableField("UPDATE_TIME")
    private Date updateTime;

    /**
     * 船只总吨位
     */
    @TableField("WEIGHT")
    private BigDecimal weight;

    /**
     * 船只宽度
     */
    @TableField("WIDE")
    private BigDecimal wide;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}