package com.shcd.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 船闸水位数据
 * @TableName SHIP_LOCK_WATER_LEVEL
 */
@TableName(value ="GHJG_CHANNEL.SHIP_LOCK_WATER_LEVEL")
@Data
public class ShipLockWaterLevel implements Serializable {
    /**
     * 日期
     */
    @TableField("DATE_TIME")
    private Date dateTime;

    @TableField(exist = false)
    private Date date;
    /**
     * 内闸水位数据
     */
    @TableField("INSIDE_I")
    private BigDecimal insideI;

    /**
     * 内闸外数据
     */
    @TableField("INSIDE_O")
    private BigDecimal insideO;

    /**
     * 外闸内水位
     */
    @TableField("OUTSIDE_I")
    private BigDecimal outsideI;

    /**
     * 外闸外水位
     */
    @TableField("OUTSIDE_O")
    private BigDecimal outsideO;

    /**
     * 时间
     */
    @TableField("TIME")
    private String time;

    @TableId("PK_ID")
    private String pkId;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}