package com.shcd.scheduling;


import com.shcd.service.ShipLockStatisticService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
public class LockStatisticSchedule {
    @Autowired
    private ShipLockStatisticService shipLockStatisticService;

    @XxlJob("LockStatistic")
    //@Scheduled(cron = "0 0 1 * * ?")
    public ReturnT<String> LockStatistic(String param) {
        return shipLockStatisticService.saveShipStatisticInfo();
    }
}
